# Purchase Details

## Get the details of previously purchased subscriptions.

<mark style="color:blue;">`GET`</mark> `{API_URL}/client/purchases/subscriptions`

Auth required: YES

Please pass your API key as the username and API secret as the password as Basic Auth to access the endpoint

#### Query Parameters

| Name           | DataType      | Description                                                                                                 | Type     |
| -------------- | ------------- | ----------------------------------------------------------------------------------------------------------- | -------- |
| userId         | String        | user id of the user                                                                                         | Optional |
| from           | ISODateString | Start date-time for filtering purchases (ISO 8601 format)                                                   | Optional |
| to             | ISODateString | End date-time for filtering purchases (ISO 8601 format)                                                     | Optional |
| phoneNumber    | String        | phone number of the user                                                                                    | Optional |
| email          | String        | email of the user                                                                                           | Optional |
| status         | String        | <p>Subscription status filter (e.g. CHURNED, REVOKED, ACTIVE, INACTIVE, DELETED, REFUND\_INITIATED)<br></p> | Optional |
| updatedAtTo    | String        | Filter results for purchases updated before this date-time (ISO 8601 format)                                | Optional |
| updatedAtFrom  | String        | Filter results for purchases updated after this date-time (ISO 8601 format)                                 | Optional |
| pageNumber     | integer       | The page number for pagination                                                                              | Optional |
| pageSize       | integer       | The number of records per page for pagination                                                               | Optional |
| subscriptionID | String        | unique id of the subscription plan                                                                          | Optional |
| tierId         | String        | a unique identifier assigned to a plan based on duration                                                    | Optional |

**STATUS DEFINITION:**

**REVOKED:** The user's purchase access has been manually revoked, regardless of its validity.

**CHURNED:** The user's purchase renewal failed repeatedly and reached the retry limit.

**DELETED:** The user's purchase record has been permanently removed from the system.

**ACTIVE:** The user has a valid, active purchase granting access to services or features.

**INACTIVE:** The user had a purchase, but it has expired and is no longer valid.

**REFUND\_INITIATED:** A refund has been initiated for the user's purchase, pending processing.

{% tabs %}
{% tab title="200: OK " %}

```json
{
    "purchases": [
        {
            "purchaseId": "6769b11d4440b23f3702cfdc",
            "userId": "6769a132112432faf3ddd8eb",
            "clientUserId": "facebook|186789117773895",
            "userEmail": "somi7@gmail.com",
            "userName": "Somi",
            "billingAddress": {
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "shippingAddress": {
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "userAddress": {
                "name": "",
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "clientReferenceId": null,
            "subscriptionId": "676902bhhc2a9c3ea8cc9535",
            "transactionId": "",
            "gatewayPaymentId": "",
            "status": "COMPLETE",
            "subscriptionName": "2024 Annual Print",
            "subscriptionRate": 0,
            "chargedAmount": 1,
            "chargedCurrency": "INR",
            "clientPrice": 1,
            "clientCurrency": "INR",
            "paymentSource": "",
            "paymentMethod": "",
            "taxInformation": [],
            "taxCountry": "IN",
            "subscriptionStatus": "ACTIVE",
            "daysSubscribed": 1064,
            "loginCountLast30Days": 0,
            "subscriptionType": "ONE_TIME",
            "subscriptionDetails": {
                "inrPrice": 23,
                "duration": 12,
                "originalSubscriptionPrice": 0,
                "durationType": "months"
            },
            "subcriptionTypeDetails": {
                "physical": false,
                "digital": true,
                "adFree": false,
                "epaper": false,
                "_id": "6769b11da67Jb23f3702cfde"
            },
            "revokedDate": null,
            "revokeStatus": false,
            "redeemedCouponCode": null,
            "renewedSubscriptionDetails": null,
            "manuallyRenewed": true,
            "renewSubscription": false,
            "availedOffers": [],
            "promotional": false,
            "categories": [],
            "freeTrial": null,
            "migrated": true,
            "clientId": "6734549778dfef5f987dfaf2",
            "clientContentId": null,
            "contentId": null,
            "buyingPrice": 23.128781252292132,
            "price": 23.128781252292132,
            "device": "desktop",
            "priceDetails": {
                "price": 1,
                "currency": "INR",
                "_id": "6769b56daca0b23f3702cfdd"
            },
            "expiryDate": "2025-03-19T00:00:00.000Z",
            "tierId": "676902bcec2a9c3ea8cc9544",
            "createdAt": "2022-04-20T00:00:00.000Z",
            "updatedAt": "2025-03-19T18:25:12.697Z",
            "partialAccess": false,
            "sectionsInclude": [],
            "authorsInclude": [],
            "sectionsExclude": [],
            "authorsExclude": [],
            "tagsInclude": [],
            "tagsExclude": []
        },
        {
            "purchaseId": "67dbc4d367bb918c385338f6",
            "userId": "6769a132112432faf3ddd8eb",
            "clientUserId": "facebook|1867891176583895",
            "userEmail": "somy@gmail.com",
            "userName": "Somi",
            "billingAddress": {
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "shippingAddress": {
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "userAddress": {
                "name": "",
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "clientReferenceId": null,
            "subscriptionId": "6769080754bad89ea134adaf",
            "transactionId": "",
            "gatewayPaymentId": "",
            "status": "COMPLETE",
            "subscriptionName": "2024 Annual",
            "subscriptionRate": 0,
            "chargedAmount": 99,
            "chargedCurrency": "INR",
            "clientPrice": 99,
            "clientCurrency": "INR",
            "paymentSource": "",
            "paymentMethod": "",
            "taxIncludedInPrice": true,
            "taxInformation": [
                {
                    "category": "DIGITAL",
                    "taxAmount": 4.714285714285714,
                    "taxBasePrice": 94.28571428571429,
                    "clientTaxAmount": 4.714285714285714,
                    "clientTaxBasePrice": 94.28571428571429,
                    "taxRate": 5,
                    "taxName": "VAT",
                    "_id": "67dbc4d367bb918c385338fa"
                },
                {
                    "category": "PHYSICAL",
                    "taxAmount": 0,
                    "taxBasePrice": 0,
                    "clientTaxAmount": 0,
                    "clientTaxBasePrice": 0,
                    "taxRate": 5,
                    "taxName": "VAT",
                    "_id": "67dbc4d367bb918c385338fb"
                }
            ],
            "taxCountry": "AE",
            "subscriptionStatus": "ACTIVE",
            "daysSubscribed": 36,
            "loginCountLast30Days": 0,
            "subscriptionType": "ONE_TIME",
            "subscriptionDetails": {
                "inrPrice": 2327.2765787573658,
                "duration": 12,
                "originalSubscriptionPrice": 0,
                "durationType": "months"
            },
            "subcriptionTypeDetails": {
                "physical": false,
                "digital": false,
                "adFree": false,
                "epaper": true,
                "_id": "67dbc4d367bb918c385338f8"
            },
            "revokedDate": null,
            "revokeStatus": false,
            "redeemedCouponCode": null,
            "renewedSubscriptionDetails": null,
            "manuallyRenewed": false,
            "renewSubscription": false,
            "availedOffers": [],
            "promotional": false,
            "categories": [],
            "freeTrial": null,
            "migrated": false,
            "clientId": "673454977d7bef5f987dfaf2",
            "clientContentId": null,
            "contentId": null,
            "buyingPrice": 2327.2765787573658,
            "price": 2327.2765787573658,
            "device": "desktop",
            "priceDetails": {
                "price": 99,
                "currency": "AED",
                "_id": "67dbc4d367bb918c385338f7"
            },
            "expiryDate": "2026-03-20T07:33:38.992Z",
            "tierId": "6769080754bad89ea134adb2",
            "createdAt": "2025-03-20T07:33:39.006Z",
            "updatedAt": "2025-03-20T07:33:39.006Z",
            "partialAccess": false,
            "sectionsInclude": [],
            "authorsInclude": [],
            "sectionsExclude": [],
            "authorsExclude": [],
            "tagsInclude": [],
            "tagsExclude": []
        },
        {
            "purchaseId": "67dbe416f8c9c703bd7d4226",
            "userId": "6769a132112432faf3ddd8eb",
            "clientUserId": "facebook|1867891176583895",
            "userEmail": "jojithomas57@gmail.com",
            "userName": "Joji Thomas",
            "billingAddress": {
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "shippingAddress": {
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "userAddress": {
                "name": "",
                "apartment": "",
                "area": "",
                "pincode": "",
                "landmark": "",
                "city": "",
                "state": "",
                "country": ""
            },
            "clientReferenceId": null,
            "subscriptionId": "6769030b54bad89ea13455ff",
            "transactionId": "",
            "gatewayPaymentId": "",
            "status": "COMPLETE",
            "subscriptionName": "2024 Annual offline",
            "subscriptionRate": 0,
            "chargedAmount": 30,
            "chargedCurrency": "AED",
            "clientPrice": 30,
            "clientCurrency": "AED",
            "paymentSource": "",
            "paymentMethod": "",
            "taxIncludedInPrice": true,
            "taxInformation": [
                {
                    "category": "DIGITAL",
                    "taxAmount": 1.4285714285714286,
                    "taxBasePrice": 28.571428571428573,
                    "clientTaxAmount": 1.4285714285714286,
                    "clientTaxBasePrice": 28.571428571428573,
                    "taxRate": 5,
                    "taxName": "VAT",
                    "_id": "67dbe416f8c9c703bd7d422a"
                },
                {
                    "category": "PHYSICAL",
                    "taxAmount": 0,
                    "taxBasePrice": 0,
                    "clientTaxAmount": 0,
                    "clientTaxBasePrice": 0,
                    "taxRate": 5,
                    "taxName": "VAT",
                    "_id": "67dbe416f8c9c703bd7d422b"
                }
            ],
            "taxCountry": "IN",
            "subscriptionStatus": "ACTIVE",
            "daysSubscribed": 36,
            "loginCountLast30Days": 0,
            "subscriptionType": "ONE_TIME",
            "subscriptionDetails": {
                "inrPrice": 705.2353268961715,
                "duration": 12,
                "originalSubscriptionPrice": 0,
                "durationType": "months"
            },
            "subcriptionTypeDetails": {
                "physical": false,
                "digital": true,
                "adFree": false,
                "epaper": false,
                "_id": "67dbe416f8c9c703bd7d4228"
            },
            "revokedDate": null,
            "revokeStatus": false,
            "redeemedCouponCode": null,
            "renewedSubscriptionDetails": null,
            "manuallyRenewed": false,
            "renewSubscription": false,
            "availedOffers": [],
            "promotional": false,
            "categories": [],
            "freeTrial": null,
            "migrated": false,
            "clientId": "673454977d7bef5f987dfaf2",
            "clientContentId": null,
            "contentId": null,
            "buyingPrice": 705.2353268961715,
            "price": 705.2353268961715,
            "device": "desktop",
            "priceDetails": {
                "price": 30,
                "currency": "INR",
                "_id": "67dbe416f8c9c703bd7d4227"
            },
            "expiryDate": "2026-03-20T09:47:02.083Z",
            "tierId": "6769030b54bad89ea1345602",
            "createdAt": "2025-03-20T09:47:02.099Z",
            "updatedAt": "2025-03-20T09:47:02.099Z",
            "partialAccess": false,
            "sectionsInclude": [],
            "authorsInclude": [],
            "sectionsExclude": [],
            "authorsExclude": [],
            "tagsInclude": [],
            "tagsExclude": []
        }
    ],
    "paginationInfo": {
        "pageNumber": 1,
        "pageSize": 100,
        "recordsReturned": 3,
        "totalCount": 3,
        "totalPages": 1
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conscent.ai/version-2.0/integrating-apis-v2/purchase-details.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
